Bug 205563 - xpram is recognized as /dev/slram instead of /dev/xpram
xpram is recognized as /dev/slram instead of /dev/xpram
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: udev (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: OtherQA
Depends On:
Blocks: 234547
  Show dependency treegraph
 
Reported: 2006-09-07 03:41 EDT by Jose Plans
Modified: 2010-10-22 01:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0784
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:05:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch fixing the problem (312 bytes, patch)
2006-09-07 03:41 EDT, Jose Plans
no flags Details | Diff

  None (edit)
Description Jose Plans 2006-09-07 03:41:28 EDT
Description of problem:
The expanded memory driver recognizes the xpram device node as /dev/slram
instead of /dev/xpram. The expanded memory device node should be recognized as
/dev/xpram<n>. This needs a rule change for xpram in /etc/makedev.d which
currently is slram.

Provide output from "uname -a", if possible:
Linux <Host Name> 2.6.9-32.EL #1 SMP Tue Feb 14 18:42:51 EST 2006 s390 s390 s390
GNU/Linux

Hardware Environment
   Machine type (p650, x235, SF2, etc.): zSeries
   Cpu type (Power4, Power5, IA-64, etc.): 2086

Is this reproducible? Yes
If so, how long does it (did it) take to reproduce it? 30 Minutes
Describe the steps:
1. Configure expanded memory for a Linux image
2. Boot the linux image
3. Load the module xpram [ # modprobe xpram ]
4. Check the device node in /dev for slram. The expanded memory device node is
represented as /dev/slram0 instead of /dev/xpram0

Version-Release number of selected component (if applicable):
udev-039-10.15.EL4

Patch has been provided integrating a udev rule to create:
   /dev/slram*---> /dev/xpram* symbolic link on s390
Comment 1 Jose Plans 2006-09-07 03:41:29 EDT
Created attachment 135733 [details]
Patch fixing the problem
Comment 3 RHEL Product and Program Management 2007-05-09 05:41:50 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Harald Hoyer 2007-07-18 06:25:43 EDT
Please test:
http://people.redhat.com/harald/downloads/udev/udev-039-10.18.el4
Comment 9 Harald Hoyer 2007-08-01 05:30:53 EDT
there should not be an issue on other architectures than s390*
Comment 11 John Poelstra 2007-08-29 00:35:42 EDT
A fix for this issue should have been included in the packages contained in the
RHEL4.6 Beta released on RHN (also available at partners.redhat.com).  

Requested action: Please verify that your issue is fixed to ensure that it is
included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 12 John Poelstra 2007-09-05 18:24:16 EDT
A fix for this issue should have been included in the packages contained in 
the RHEL4.6-Snapshot1 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed to ensure that it is 
included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed, 
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent 
symptoms of the problem you are having and change the status of the bug to 
FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test 
results to Issue Tracker.  If you need assistance accessing 
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 13 Chris Ward 2007-09-10 11:07:01 EDT
Ping. QE Here. 

205563: Verified by Tao (redhat) but Not yet PartnerVerified

Any updates? Please let me know ASAP.
Comment 14 John Poelstra 2007-09-11 20:44:36 EDT
A fix for this issue should be included in RHEL4.6-Snapshot2--available soon on
partners.redhat.com.  

Please verify that your issue is fixed to ensure that it is included in this
update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 15 John Poelstra 2007-09-20 00:32:36 EDT
A fix for this issue should have been included in the packages contained in the
RHEL4.6-Snapshot3 on partners.redhat.com.  

Please verify that your issue is fixed to ensure that it is included in this
update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 17 errata-xmlrpc 2007-11-15 11:05:23 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0784.html

Note You need to log in before you can comment on or make changes to this bug.